<?php

	/*
		QassimTwitterOAuth - The easy way to use Twitter API (v1.1).
			Written By: Qassim Hassan.
			Twitter: @QQQHZ
			Websites: wp-time.com | wp-plugins.in | qass.im
			E-Mail: qassim.pay@gmail.com
			Script Link: http://wp-time.com/twitter-rest-api-using-php-without-curl/
			Copyrights: (c) 2016 Qassim Hassan.
	*/

	session_start();

	if( isset($_SESSION['twitter_logged_in']) ){ // If user is logged in, will be redirect user to index page.
		header("location: index.php");
	}

	if( isset($_GET['oauth_token']) and isset($_GET['oauth_verifier']) and !isset($_SESSION['twitter_logged_in']) ){
		$oauth_token = $_GET['oauth_token'];
		$oauth_verifier = $_GET['oauth_verifier'];

		$get_data = file_get_contents("https://api.twitter.com/oauth/access_token?oauth_token=$oauth_token&oauth_verifier=$oauth_verifier");
		$array = explode("&", $get_data);

		$_SESSION['oauth_token'] = str_replace("oauth_token=", NULL, $array[0]);
		$_SESSION['oauth_token_secret'] = str_replace("oauth_token_secret=", NULL, $array[1]);
		$_SESSION['user_id'] = str_replace("user_id=", NULL, $array[2]);
		$_SESSION['screen_name'] = str_replace("screen_name=", NULL, $array[3]);

		$_SESSION['twitter_logged_in'] = 1;

		header("location: index.php");
	}else{
		header("location: index.php");
	}