<?php

	/*
		QassimTwitterOAuth - The easy way to use Twitter API (v1.1).
			Written By: Qassim Hassan.
			Twitter: @QQQHZ
			Websites: wp-time.com | wp-plugins.in | qass.im
			E-Mail: qassim.pay@gmail.com
			Script Link: http://wp-time.com/twitter-rest-api-using-php-without-curl/
			Copyrights: (c) 2016 Qassim Hassan.
	*/

session_start();

if( !isset($_SESSION['twitter_logged_in']) ){ // If user is not logged in
	include_once 'QassimTwitterOAuth.php';

	$url = 'https://api.twitter.com/oauth/request_token';

	$data = array(
				'oauth_callback' => $callback_url,
              	'oauth_consumer_key' => $consumer_key,
              	'oauth_nonce' => time(),
              	'oauth_signature_method' => 'HMAC-SHA1',
            	'oauth_timestamp' => time(),
              	'oauth_version' => '1.0'
            );

	$base_string = BaseString($url, $data, "POST");

	$composite_key = rawurlencode($consumer_secret) . '&';

	$oauth_signature = base64_encode(hash_hmac('sha1', $base_string, $composite_key, true));

	$data['oauth_signature'] = $oauth_signature;

	$response = RequestToken($data, $url, 1);

	header("location: https://api.twitter.com/oauth/authorize?$response");
}

else{
	header("location: index.php");
}
