<?php

	/*
		QassimTwitterOAuth - The easy way to use Twitter API (v1.1).
			Written By: Qassim Hassan.
			Twitter: @QQQHZ
			Websites: wp-time.com | wp-plugins.in | qass.im
			E-Mail: qassim.pay@gmail.com
			Script Link: http://wp-time.com/twitter-rest-api-using-php-without-curl/
			Copyrights: (c) 2016 Qassim Hassan.
	*/

	session_start();
?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Recent tweets example</title>
</head>
<body>

	<?php

	if( isset($_SESSION['twitter_logged_in']) ){ // If user is logged in
		include_once 'QassimTwitterOAuth.php';

		$url = 'https://api.twitter.com/1.1/statuses/user_timeline.json'; // Read API: https://dev.twitter.com/rest/reference/get/statuses/user_timeline

		$oauth_token = $_SESSION['oauth_token'];

		$oauth_token_secret = $_SESSION['oauth_token_secret'];

		// If you want user id, use this session: $_SESSION['user_id']

		$username = $_SESSION['screen_name']; // will be display recent tweets of logged user, you can change it to any username, for example: $username = 'jack';

		$count_of_tweets = 3; // will be display 3 tweets of recent tweets, you can change the number.

		$parameters = array('screen_name' => $username, 'count' => $count_of_tweets);

		$tweets = Request($url, 'get', $consumer_key, $consumer_secret, $oauth_token, $oauth_token_secret, $parameters);

		/* 
			Display full result:
			print_r($tweets);
		*/

		echo "<ul>";

		foreach ($tweets as $tweet) {
			echo "<li>".$tweet['text']."</li>";
		}

		echo "</ul>";
	}

	else{
		echo 'Please <a href="login.php">login with Twitter</a>';
	}

	?>
</body>
</html>